<%= javascript_pack_tag 'procedures_map/ImageGenerator' %>

<%= form_with url: print_procedures_path, id: 'image_form' do %>
  <%= hidden_field_tag :map_image  %>
  <%= hidden_field_tag :heatmap_max  %>
  <%= hidden_field_tag :heatmap_gradient  %>
<% end %>

<%= javascript_tag do %>
  var formInputs = [
    {id: 'map_image', val: (canvas) => canvas.toDataURL('image/png')},
    {id: 'heatmap_max', val: () => proceduresMap.currentHeatmapLayer()},
    {id: 'heatmap_gradient', val: () => proceduresMap.heatmapGradientCSS()}
  ]

  imageGenerator = new ImageGenerator(html2canvas, $, 'image_form', formInputs);
<% end %>

<%= link_to t('.pdf'), 'javascript:;', class: 'm-2 btn btn-secondary overlay-button', onclick: "imageGenerator.generate('map')" %>
